Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class ExecToolManager

    java.lang.Object
      com.sun.javatest.tool.ToolManager
          com.sun.javatest.exec.ExecToolManager

All Implemented Interfaces:
  QSW_Listener

    public class ExecToolManager

extends ToolManager
implements QSW_Listener

The ToolManager for `test manager` windows.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.tool.ToolManager
`ToolManager.Fault`

Field Summary

Fields inherited from class com.sun.javatest.tool.ToolManager
`i18n`

Constructor Summary
`ExecToolManager(Desktop desktop)` Create an ExecManager to manage the test manager windows on a desktop.

Method Summary
`protected ExecTool` | `addNewExecTool(TestSuite ts, WorkDirectory wd, InterviewParameters ip, java.lang.String errorKey)`
`void` | `cancelQSW()` QSW_Listener interface method
`boolean` | `checkOpenNewTool(Desktop d, ContextManager conManager)`
`void` | `finishQSW(TestSuite ts, WorkDirectory wd, InterviewParameters ip, boolean showConfigEditorFlag, boolean runTestsFlag)` QSW_Listener interface method
`javax.swing.Action[]` | `getFileMenuActions()` Get actions for any items to appear in the main section of the desktop File menu.
`javax.swing.JMenuItem[]` | `getFileMenuPrimaries()` Get primary file menu opereations for this tool.
`FileOpener[]` | `getFileOpeners()` Get handlers for any files that can be opened by this tool manager.
`javax.swing.JMenuItem[]` | `getHelpAboutMenus()`
`javax.swing.JMenuItem[]` | `getHelpPrimaryMenus()`
`javax.swing.JMenuItem[]` | `getHelpTestSuiteMenus()`
`Preferences.Pane` | `getPrefsPane()` Get details about any user preferences supported by this tool manager.
`javax.swing.Action[]` | `getTaskMenuActions()` Get actions for any items to appear in the desktop Tasks menu.
`javax.swing.Action[]` | `getWindowOpenMenuActions()` Get actions to open any windows for this tool.
`boolean` | `isQuickStartWizardActive()`
`Tool` | `restoreTool(java.util.Map m)` Restore a tool from previously saved information.
`void` | `showQSW()` To be invoked when user wants to open Quick Start Wizart
`ExecTool` | `showTestSuite(TestSuite ts)` Deprecated.
`ExecTool` | `showWorkDirectory(WorkDirectory wd)` Deprecated.
`Tool` | `startTool()` Shows Quick Configuration Editor if not disabled
`Tool` | `startTool(InterviewParameters p)` Start an ExecTool for a particular configuration.

Methods inherited from class com.sun.javatest.tool.ToolManager
`createIcon, getDesktop, getFileMenuSecondaries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecToolManager

    public ExecToolManager(Desktop desktop)

  Create an ExecManager to manage the test manager windows on a desktop.

  Parameters:
    `desktop` - the desktop for which this manager is responsible

Method Detail

### getFileOpeners

    public FileOpener[] getFileOpeners()

  Description copied from class: `ToolManager`
  Get handlers for any files that can be opened by this tool manager.

  Overrides:
    `getFileOpeners` in class `ToolManager`
  Returns:
    a set of handlers for files that can be opened by this tool manager, or null if none available.

### getFileMenuActions

    public javax.swing.Action[] getFileMenuActions()

  Description copied from class: `ToolManager`
  Get actions for any items to appear in the main section of the desktop File menu.

  Overrides:
    `getFileMenuActions` in class `ToolManager`
  Returns:
    an array of Actions to appear on the File menu, or null if none are required.

### getFileMenuPrimaries

    public javax.swing.JMenuItem[] getFileMenuPrimaries()

  Description copied from class: `ToolManager`
  Get primary file menu opereations for this tool. These are placed after the actions. They will be shown in the order given in the array. There are none provided by default (null).

  Overrides:
    `getFileMenuPrimaries` in class `ToolManager`
  Returns:
    Array of menu items to be shown for this tool. Nill if none.
  See Also:
    `ToolManager.getFileMenuActions()`

### getHelpPrimaryMenus

    public javax.swing.JMenuItem[] getHelpPrimaryMenus()

  Overrides:
    `getHelpPrimaryMenus` in class `ToolManager`

### getHelpTestSuiteMenus

    public javax.swing.JMenuItem[] getHelpTestSuiteMenus()

  Overrides:
    `getHelpTestSuiteMenus` in class `ToolManager`

### getHelpAboutMenus

    public javax.swing.JMenuItem[] getHelpAboutMenus()

  Overrides:
    `getHelpAboutMenus` in class `ToolManager`

### getTaskMenuActions

    public javax.swing.Action[] getTaskMenuActions()

  Description copied from class: `ToolManager`
  Get actions for any items to appear in the desktop Tasks menu.

  Overrides:
    `getTaskMenuActions` in class `ToolManager`
  Returns:
    an array of Actions to appear on the Tasks menu, or null if none are required.

### getWindowOpenMenuActions

    public javax.swing.Action[] getWindowOpenMenuActions()

  Description copied from class: `ToolManager`
  Get actions to open any windows for this tool.

  Overrides:
    `getWindowOpenMenuActions` in class `ToolManager`
  Returns:
    an array of Actions that open windows for this tool, or null if none are required.

### getPrefsPane

    public Preferences.Pane getPrefsPane()

  Description copied from class: `ToolManager`
  Get details about any user preferences supported by this tool manager.

  Overrides:
    `getPrefsPane` in class `ToolManager`
  Returns:
    an object to handle preferences supported by this tool manager, or null if no preferences are supported.

### checkOpenNewTool

    public boolean checkOpenNewTool(Desktop d,
                                    ContextManager conManager)

### startTool

    public Tool startTool()

  Shows Quick Configuration Editor if not disabled

  Specified by:
    `startTool` in class `ToolManager`
  Returns:
    null

### startTool

    public Tool startTool(InterviewParameters p)

  Start an ExecTool for a particular configuration.

  Parameters:
    `p` - the configuration defining the tests and test results to be displayed
  Returns:
    the tool created to show the tests and test results specified by the configuration

### restoreTool

    public Tool restoreTool(java.util.Map m)
                     throws ToolManager.Fault

  Description copied from class: `ToolManager`
  Restore a tool from previously saved information.

  Specified by:
    `restoreTool` in class `ToolManager`
  Parameters:
    `m` - a map containing the previously saved information
  Returns:
    the tool that was started
  Throws:
    `ToolManager.Fault` - if there is a problem restoring the tool

### showTestSuite

    @Deprecated
    public ExecTool showTestSuite(TestSuite ts)
                           throws Interview.Fault,
                                  TestSuite.Fault

  Deprecated.

  Create an ExecTool instance using the given test suite.

  Parameters:
    `ts` - the test suite to seed the new tool with
  Returns:
    tool instance now associated with the given test suite
  Throws:
    `Interview.Fault` - if there is a problem initializing the test suite interview parameters
    `TestSuite.Fault` - if there is a problem while accessing the test suite object

### showWorkDirectory

    @Deprecated
    public ExecTool showWorkDirectory(WorkDirectory wd)
                               throws Interview.Fault,
                                      TestSuite.Fault

  Deprecated.

  Create an ExecTool instance using the given work directory.

  Parameters:
    `wd` - the work directory to open
  Returns:
    tool instance now associated with the given work directory
  Throws:
    `Interview.Fault` - if there is a problem initializing the test suite interview parameters
    `TestSuite.Fault` - if there is a problem while accessing the test suite object

### addNewExecTool

    protected ExecTool addNewExecTool(TestSuite ts,
                                      WorkDirectory wd,
                                      InterviewParameters ip,
                                      java.lang.String errorKey)

### finishQSW

    public void finishQSW(TestSuite ts,
                          WorkDirectory wd,
                          InterviewParameters ip,
                          boolean showConfigEditorFlag,
                          boolean runTestsFlag)

  QSW_Listener interface method

  Specified by:
    `finishQSW` in interface `QSW_Listener`
  Parameters:
    `ts` -
    `wd` -
    `ip` -
    `showConfigEditorFlag` -
    `runTestsFlag` -

### cancelQSW

    public void cancelQSW()

  QSW_Listener interface method

  Specified by:
    `cancelQSW` in interface `QSW_Listener`

### showQSW

    public void showQSW()

  To be invoked when user wants to open Quick Start Wizart

### isQuickStartWizardActive

    public boolean isQuickStartWizardActive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.